Package nl.tudelft.simulation.dsol.tutorial.section44

## Class ContinuousBall

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section44.Ball
  - - nl.tudelft.simulation.dsol.tutorial.section44.ContinuousBall

All Implemented Interfaces:
  `Locatable`

    public class ContinuousBall
    extends Ball

An extension of Ball.

Author:
  peter

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`destination, origin, RADIUS, rotZ`

### Constructor Summary

Constructors
`ContinuousBall​(DESSSimulatorInterface.TimeDouble simulator)` constructs a new Ball.

### Method Summary

All Methods Instance Methods Concrete Methods
`DirectedPoint` `getLocation()`
`void` `next()` next move

### Methods inherited from class nl.tudelft.simulation.dsol.tutorial.section44.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContinuousBall

    public ContinuousBall​(DESSSimulatorInterface.TimeDouble simulator)
                   throws RemoteException,
                          NamingException

constructs a new Ball.

Parameters:
  `simulator` - DESSSimulatorInterface.TimeDouble; the simulator
Throws:
  `RemoteException` - on network exception
  `NamingException` - on animation error

### Method Detail

#### getLocation

    public DirectedPoint getLocation()
                              throws RemoteException

Throws:
  `RemoteException`

#### next

    public void next()
              throws RemoteException

next move

Throws:
  `RemoteException` - on network failure